Subject: bug#24517: Please provide the feature ada-ref-man

From: Jonas Bernoulli <[email-masked]>
Date: Fri, 23 Sep 2016 12:40:21 +0200

ada-ref-man.el from GNU Elpa isn't a real library, it only exists so
that the Ada Reference Manual can be installed using `package.el', which
expects a package to contain a library matching the package name.

Similarly the tools used to maintain the Emacsmirror impose such
restrictions on the mirrored packages.  In particular they are a bit
more fussy about the "main library" of the package.  In addition to
expecting the main library to have the "correct name", they also insist
on that library providing the matching feature.

Please consider adding (provide 'ada-ref-man) to ada-ref-man.el.
Considering that ada-ref-man.el only exists in the first place to
satisfy a tool, I don't think we would go to far if it additionally
provided the feature to satisfy another tool.

  Thanks,
  Jonas